Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network136.96.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
136.96.0.0
Broadcast address
136.127.255.255
First usable
136.96.0.1
Last usable
136.127.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
B (default /16)
As numbers
Hex 88600000 · Integer 2287992832 to 2290089983
Reverse DNS zones
96.136.in-addr.arpa
97.136.in-addr.arpa
98.136.in-addr.arpa
99.136.in-addr.arpa
100.136.in-addr.arpa
101.136.in-addr.arpa
102.136.in-addr.arpa
103.136.in-addr.arpa
104.136.in-addr.arpa
105.136.in-addr.arpa
106.136.in-addr.arpa
107.136.in-addr.arpa
108.136.in-addr.arpa
109.136.in-addr.arpa
110.136.in-addr.arpa
111.136.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001000.01100000.00000000.00000000136.96.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network10001000.01100000.00000000.00000000136.96.0.0
Broadcast10001000.01111111.11111111.11111111136.127.255.255
Split into smaller subnets/18

136.96.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1136.96.0.0/18136.96.0.1 to 136.96.63.254136.96.63.25516,382
2136.96.64.0/18136.96.64.1 to 136.96.127.254136.96.127.25516,382
3136.96.128.0/18136.96.128.1 to 136.96.191.254136.96.191.25516,382
4136.96.192.0/18136.96.192.1 to 136.96.255.254136.96.255.25516,382
5136.97.0.0/18136.97.0.1 to 136.97.63.254136.97.63.25516,382
6136.97.64.0/18136.97.64.1 to 136.97.127.254136.97.127.25516,382
7136.97.128.0/18136.97.128.1 to 136.97.191.254136.97.191.25516,382
8136.97.192.0/18136.97.192.1 to 136.97.255.254136.97.255.25516,382
9136.98.0.0/18136.98.0.1 to 136.98.63.254136.98.63.25516,382
10136.98.64.0/18136.98.64.1 to 136.98.127.254136.98.127.25516,382
11136.98.128.0/18136.98.128.1 to 136.98.191.254136.98.191.25516,382
12136.98.192.0/18136.98.192.1 to 136.98.255.254136.98.255.25516,382
13136.99.0.0/18136.99.0.1 to 136.99.63.254136.99.63.25516,382
14136.99.64.0/18136.99.64.1 to 136.99.127.254136.99.127.25516,382
15136.99.128.0/18136.99.128.1 to 136.99.191.254136.99.191.25516,382
16136.99.192.0/18136.99.192.1 to 136.99.255.254136.99.255.25516,382
17136.100.0.0/18136.100.0.1 to 136.100.63.254136.100.63.25516,382
18136.100.64.0/18136.100.64.1 to 136.100.127.254136.100.127.25516,382
19136.100.128.0/18136.100.128.1 to 136.100.191.254136.100.191.25516,382
20136.100.192.0/18136.100.192.1 to 136.100.255.254136.100.255.25516,382
21136.101.0.0/18136.101.0.1 to 136.101.63.254136.101.63.25516,382
22136.101.64.0/18136.101.64.1 to 136.101.127.254136.101.127.25516,382
23136.101.128.0/18136.101.128.1 to 136.101.191.254136.101.191.25516,382
24136.101.192.0/18136.101.192.1 to 136.101.255.254136.101.255.25516,382
25136.102.0.0/18136.102.0.1 to 136.102.63.254136.102.63.25516,382
26136.102.64.0/18136.102.64.1 to 136.102.127.254136.102.127.25516,382
27136.102.128.0/18136.102.128.1 to 136.102.191.254136.102.191.25516,382
28136.102.192.0/18136.102.192.1 to 136.102.255.254136.102.255.25516,382
29136.103.0.0/18136.103.0.1 to 136.103.63.254136.103.63.25516,382
30136.103.64.0/18136.103.64.1 to 136.103.127.254136.103.127.25516,382
31136.103.128.0/18136.103.128.1 to 136.103.191.254136.103.191.25516,382
32136.103.192.0/18136.103.192.1 to 136.103.255.254136.103.255.25516,382
33136.104.0.0/18136.104.0.1 to 136.104.63.254136.104.63.25516,382
34136.104.64.0/18136.104.64.1 to 136.104.127.254136.104.127.25516,382
35136.104.128.0/18136.104.128.1 to 136.104.191.254136.104.191.25516,382
36136.104.192.0/18136.104.192.1 to 136.104.255.254136.104.255.25516,382
37136.105.0.0/18136.105.0.1 to 136.105.63.254136.105.63.25516,382
38136.105.64.0/18136.105.64.1 to 136.105.127.254136.105.127.25516,382
39136.105.128.0/18136.105.128.1 to 136.105.191.254136.105.191.25516,382
40136.105.192.0/18136.105.192.1 to 136.105.255.254136.105.255.25516,382
41136.106.0.0/18136.106.0.1 to 136.106.63.254136.106.63.25516,382
42136.106.64.0/18136.106.64.1 to 136.106.127.254136.106.127.25516,382
43136.106.128.0/18136.106.128.1 to 136.106.191.254136.106.191.25516,382
44136.106.192.0/18136.106.192.1 to 136.106.255.254136.106.255.25516,382
45136.107.0.0/18136.107.0.1 to 136.107.63.254136.107.63.25516,382
46136.107.64.0/18136.107.64.1 to 136.107.127.254136.107.127.25516,382
47136.107.128.0/18136.107.128.1 to 136.107.191.254136.107.191.25516,382
48136.107.192.0/18136.107.192.1 to 136.107.255.254136.107.255.25516,382
49136.108.0.0/18136.108.0.1 to 136.108.63.254136.108.63.25516,382
50136.108.64.0/18136.108.64.1 to 136.108.127.254136.108.127.25516,382
51136.108.128.0/18136.108.128.1 to 136.108.191.254136.108.191.25516,382
52136.108.192.0/18136.108.192.1 to 136.108.255.254136.108.255.25516,382
53136.109.0.0/18136.109.0.1 to 136.109.63.254136.109.63.25516,382
54136.109.64.0/18136.109.64.1 to 136.109.127.254136.109.127.25516,382
55136.109.128.0/18136.109.128.1 to 136.109.191.254136.109.191.25516,382
56136.109.192.0/18136.109.192.1 to 136.109.255.254136.109.255.25516,382
57136.110.0.0/18136.110.0.1 to 136.110.63.254136.110.63.25516,382
58136.110.64.0/18136.110.64.1 to 136.110.127.254136.110.127.25516,382
59136.110.128.0/18136.110.128.1 to 136.110.191.254136.110.191.25516,382
60136.110.192.0/18136.110.192.1 to 136.110.255.254136.110.255.25516,382
61136.111.0.0/18136.111.0.1 to 136.111.63.254136.111.63.25516,382
62136.111.64.0/18136.111.64.1 to 136.111.127.254136.111.127.25516,382
63136.111.128.0/18136.111.128.1 to 136.111.191.254136.111.191.25516,382
64136.111.192.0/18136.111.192.1 to 136.111.255.254136.111.255.25516,382
65136.112.0.0/18136.112.0.1 to 136.112.63.254136.112.63.25516,382
66136.112.64.0/18136.112.64.1 to 136.112.127.254136.112.127.25516,382
67136.112.128.0/18136.112.128.1 to 136.112.191.254136.112.191.25516,382
68136.112.192.0/18136.112.192.1 to 136.112.255.254136.112.255.25516,382
69136.113.0.0/18136.113.0.1 to 136.113.63.254136.113.63.25516,382
70136.113.64.0/18136.113.64.1 to 136.113.127.254136.113.127.25516,382
71136.113.128.0/18136.113.128.1 to 136.113.191.254136.113.191.25516,382
72136.113.192.0/18136.113.192.1 to 136.113.255.254136.113.255.25516,382
73136.114.0.0/18136.114.0.1 to 136.114.63.254136.114.63.25516,382
74136.114.64.0/18136.114.64.1 to 136.114.127.254136.114.127.25516,382
75136.114.128.0/18136.114.128.1 to 136.114.191.254136.114.191.25516,382
76136.114.192.0/18136.114.192.1 to 136.114.255.254136.114.255.25516,382
77136.115.0.0/18136.115.0.1 to 136.115.63.254136.115.63.25516,382
78136.115.64.0/18136.115.64.1 to 136.115.127.254136.115.127.25516,382
79136.115.128.0/18136.115.128.1 to 136.115.191.254136.115.191.25516,382
80136.115.192.0/18136.115.192.1 to 136.115.255.254136.115.255.25516,382
81136.116.0.0/18136.116.0.1 to 136.116.63.254136.116.63.25516,382
82136.116.64.0/18136.116.64.1 to 136.116.127.254136.116.127.25516,382
83136.116.128.0/18136.116.128.1 to 136.116.191.254136.116.191.25516,382
84136.116.192.0/18136.116.192.1 to 136.116.255.254136.116.255.25516,382
85136.117.0.0/18136.117.0.1 to 136.117.63.254136.117.63.25516,382
86136.117.64.0/18136.117.64.1 to 136.117.127.254136.117.127.25516,382
87136.117.128.0/18136.117.128.1 to 136.117.191.254136.117.191.25516,382
88136.117.192.0/18136.117.192.1 to 136.117.255.254136.117.255.25516,382
89136.118.0.0/18136.118.0.1 to 136.118.63.254136.118.63.25516,382
90136.118.64.0/18136.118.64.1 to 136.118.127.254136.118.127.25516,382
91136.118.128.0/18136.118.128.1 to 136.118.191.254136.118.191.25516,382
92136.118.192.0/18136.118.192.1 to 136.118.255.254136.118.255.25516,382
93136.119.0.0/18136.119.0.1 to 136.119.63.254136.119.63.25516,382
94136.119.64.0/18136.119.64.1 to 136.119.127.254136.119.127.25516,382
95136.119.128.0/18136.119.128.1 to 136.119.191.254136.119.191.25516,382
96136.119.192.0/18136.119.192.1 to 136.119.255.254136.119.255.25516,382
97136.120.0.0/18136.120.0.1 to 136.120.63.254136.120.63.25516,382
98136.120.64.0/18136.120.64.1 to 136.120.127.254136.120.127.25516,382
99136.120.128.0/18136.120.128.1 to 136.120.191.254136.120.191.25516,382
100136.120.192.0/18136.120.192.1 to 136.120.255.254136.120.255.25516,382
101136.121.0.0/18136.121.0.1 to 136.121.63.254136.121.63.25516,382
102136.121.64.0/18136.121.64.1 to 136.121.127.254136.121.127.25516,382
103136.121.128.0/18136.121.128.1 to 136.121.191.254136.121.191.25516,382
104136.121.192.0/18136.121.192.1 to 136.121.255.254136.121.255.25516,382
105136.122.0.0/18136.122.0.1 to 136.122.63.254136.122.63.25516,382
106136.122.64.0/18136.122.64.1 to 136.122.127.254136.122.127.25516,382
107136.122.128.0/18136.122.128.1 to 136.122.191.254136.122.191.25516,382
108136.122.192.0/18136.122.192.1 to 136.122.255.254136.122.255.25516,382
109136.123.0.0/18136.123.0.1 to 136.123.63.254136.123.63.25516,382
110136.123.64.0/18136.123.64.1 to 136.123.127.254136.123.127.25516,382
111136.123.128.0/18136.123.128.1 to 136.123.191.254136.123.191.25516,382
112136.123.192.0/18136.123.192.1 to 136.123.255.254136.123.255.25516,382
113136.124.0.0/18136.124.0.1 to 136.124.63.254136.124.63.25516,382
114136.124.64.0/18136.124.64.1 to 136.124.127.254136.124.127.25516,382
115136.124.128.0/18136.124.128.1 to 136.124.191.254136.124.191.25516,382
116136.124.192.0/18136.124.192.1 to 136.124.255.254136.124.255.25516,382
117136.125.0.0/18136.125.0.1 to 136.125.63.254136.125.63.25516,382
118136.125.64.0/18136.125.64.1 to 136.125.127.254136.125.127.25516,382
119136.125.128.0/18136.125.128.1 to 136.125.191.254136.125.191.25516,382
120136.125.192.0/18136.125.192.1 to 136.125.255.254136.125.255.25516,382
121136.126.0.0/18136.126.0.1 to 136.126.63.254136.126.63.25516,382
122136.126.64.0/18136.126.64.1 to 136.126.127.254136.126.127.25516,382
123136.126.128.0/18136.126.128.1 to 136.126.191.254136.126.191.25516,382
124136.126.192.0/18136.126.192.1 to 136.126.255.254136.126.255.25516,382
125136.127.0.0/18136.127.0.1 to 136.127.63.254136.127.63.25516,382
126136.127.64.0/18136.127.64.1 to 136.127.127.254136.127.127.25516,382
127136.127.128.0/18136.127.128.1 to 136.127.191.254136.127.191.25516,382
128136.127.192.0/18136.127.192.1 to 136.127.255.254136.127.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses